<section class='panel' data-ng-controller="DiscountsController" ng-init="initServices()">
    <header class="panel-heading higher-panel-heading">
        Create Discount
    </header>
    <div class="panel-body">
        <form class="form-horizontal row" name="form" role="form" data-ng-submit="create()" novalidate>
            <div class='col-md-12'>
                <div class="form-group">
                    <label class="col-md-2 control-label">Discount Code</label>
                    <div class="col-md-10">
                        <input type="text" class="form-control" data-ng-model="discount.code" id="code" placeholder="Discount code" required>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label">Price</label>
                    <div class="col-md-10">
                        <input type="number" class="form-control" data-ng-model="discount.price" id="price" required>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label">Percent</label>
                    <div class="col-md-10">
                        <input type="number" class="form-control" data-ng-model="discount.percent" id="percent" required>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-2 control-label">Services</label>
                    <div class="col-md-10">
                      <ui-select ng-model="discount.services" theme="select2" style="width: 100%;" multiple>
                        <ui-select-match placeholder="Select a service...">{{$item.label}}</ui-select-match>
                        <ui-select-choices group-by="groupByCategory" repeat="service.value as service in services | propsFilter: {label: $select.search}">
                          <div ng-bind-html="service.label | highlight: $select.search"></div>
                        </ui-select-choices>
                      </ui-select>
                    </div>
                </div>
                <div class='form-group'>
                    <label class='col-md-2 control-label'>Minimum price</label>
                    <div class='col-md-10'>
                        <input type='number' class='form-control' data-ng-model='discount.min_price' id='min_price'>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-9 col-md-3">
                        <button type="submit" class="btn btn-lg btn-info col-md-12" ng-disabled="disableButton">Save Discount</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</section>
